Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.layout1
Class FormatterSimpleH2

    java.lang.Object
      com.hp.hpl.jena.sdb.sql.SDBConnectionHolder
          com.hp.hpl.jena.sdb.store.StoreFormatterBase
              com.hp.hpl.jena.sdb.layout1.FormatterSimple
                  com.hp.hpl.jena.sdb.layout1.FormatterSimpleH2

All Implemented Interfaces:
  StoreFormatter

    public class FormatterSimpleH2

extends FormatterSimple

Field Summary

Fields inherited from class com.hp.hpl.jena.sdb.layout1.FormatterSimple
`UriWidth`

Constructor Summary
`FormatterSimpleH2(SDBConnection connection)`

Method Summary
`void` | `dropIndexes()` Drop indexes for triple/node tables
`void` | `format()` Format the store - create tables but not secondary indexes
`void` | `truncate()` Truncate tables - clearing the store but leaving all indexes inplace

Methods inherited from class com.hp.hpl.jena.sdb.layout1.FormatterSimple
`addIndexes`

Methods inherited from class com.hp.hpl.jena.sdb.store.StoreFormatterBase
`create`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormatterSimpleH2

    public FormatterSimpleH2(SDBConnection connection)

Method Detail

### truncate

    public void truncate()

  Description copied from interface: `StoreFormatter`
  Truncate tables - clearing the store but leaving all indexes inplace

### format

    public void format()

  Description copied from interface: `StoreFormatter`
  Format the store - create tables but not secondary indexes

### dropIndexes

    public void dropIndexes()

  Description copied from interface: `StoreFormatter`
  Drop indexes for triple/node tables

  Specified by:
    `dropIndexes` in interface `StoreFormatter`
  Overrides:
    `dropIndexes` in class `FormatterSimple`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.